For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate product and banner ads

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Integration APIs space of our documentation.

Generate product and banner ads

post
Authorizations
AuthorizationstringRequired
Body
bannerSlotIdsstring[]Optional

The banner slots ads are required. Will be superseded by bannerSlots array object.

catalogIdstringRequired

The catalogId you are requesting ads for. Typically a single identifier for a retailer.

contentStandardIdstringOptional

The banner contentStandardId. Required for banners.

customerIdstringOptional

Your unique customerId. Optional.

maxNumberOfAdsinteger · int32Required

The maximum number of product ads to receive.

placementstringRequired

The placement you are requesting ads for.

productFiltersstring · jsonOptional

An array or arrays are required depending on your ad generation filtering. Used in category placements or any other placement to further define business rules. Not currently compatible with cross-sell or upsell placements.

Default: [ [ "category:Frozen" ], ["Location:Brisbane Central"]]
searchTermstringOptional

Used for search placements. The exact search term entered by the customer on your site.

sessionIdstringOptional

Unique sessionId used for attribution. Required to be consistent between a user's session and order reporting.

targetedProductGtinstringOptional

Used for cross-sell placements. The product code that is being advertised against

Responses
200

200

application/json
post/ads/generate
POST /v1/ads/generate HTTP/1.1
Host: integration-BASE-URL.citrusad.com/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 492

{
  "audience": [
    {
      "segmentIds": [
        "text"
      ],
      "sourceId": "retailer-cdp-1"
    }
  ],
  "bannerSlotIds": [
    "text"
  ],
  "bannerSlots": [
    {
      "maxNumberOfAds": 1,
      "slotId": "text"
    }
  ],
  "catalogId": "text",
  "contentStandardId": "text",
  "customerId": "text",
  "maxNumberOfAds": 1,
  "options": [
    {
      "cached": false,
      "filtermode": "AndOr",
      "includeAdvertiserInfo": true
    }
  ],
  "placement": "text",
  "productFilters": "[     [       \"category:Frozen\"     ],     [\"Location:Brisbane Central\"]]",
  "searchTerm": "text",
  "sessionId": "text",
  "targetedProductGtin": "text"
}
{
    "ads": [
        {
            "id": "string",
            "gtin": "string",
            "discount": {
                "amount": "number",
                "minPrice": "number",
                "maxPerCustomer": "integer"
            },
            "expiry": "string",
            "position": "integer",
          	"metadata": {
        			"advertiserInfo": {
       					"advertiser": "string",
          			"onBehalfOf": "string",
      			},
     {
            "id": "string",
            "gtin": "string",
            "discount": {
                "amount": "number",
                "minPrice": "number",
                "maxPerCustomer": "integer"
            },
            "expiry": "string",
            "position": "integer"
          	"metadata": {
        			"advertiserInfo": {
       					"advertiser": "string",
          			"onBehalfOf": "string",
        },
       {
            "id": "string",
            "gtin": "string",
            "discount": {
                "amount": "number",
                "minPrice": "number",
                "maxPerCustomer": "integer"
            },
            "expiry": "string",
            "position": "integer"
          	"metadata": {
        			"advertiserInfo": {
       					"advertiser": "string",
          			"onBehalfOf": "string",         
        }
    ],
    "banners": [
        {
            "id": "string",
            "contentStandardId": "string",
            "slotId": "string",
            "imageUrl": "string",
            "linkUrl": "string",
            "altText": "string",
            "text": "",
            "gtins": [
                "string",
                "string"
            ],
            "expiry": "2022-03-10T05:53:14.653320236Z",
            "tags": {}
        }
    ],
      "products": [],  
  "metadata": []

}